Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.callbacks
Class OnDataCallback

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.callbacks.OnDataCallback

    public abstract class OnDataCallback

extends java.lang.Object

Extending classes implement the onData callback for subscriptions where the message must be JSON serializable. This is required for all Managed Hub and cached data scenarios because the PageBus converts the message data into a JSON string for delivery across origin boundaries and storage in the cache. Note: If the OnDataCallback receives a JavaScript message that is not an object then a JavaScript object is created with a property named message set to the message value.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`OnDataCallback()`

Method Summary
`static com.google.gwt.core.client.JavaScriptObject` | `getNativeCallback(OnDataCallback instance)`
`protected abstract void` | `onData(java.lang.String topic, PageBusMessage message, SubscriberData subscriberData)` The extending class implements this method which is called when a PageBus message is published with a topic that matches the subscription made for this callback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnDataCallback

    public OnDataCallback()

Method Detail

### onData

    protected abstract void onData(java.lang.String topic,
                                   PageBusMessage message,
                                   SubscriberData subscriberData)

  The extending class implements this method which is called when a PageBus message is published with a topic that matches the subscription made for this callback.

  Parameters:
    `topic` - The topic of the PageBus published message that was matched resulting in this subscription callback.
    `message` - The message content of the PageBus published message.
    `subscriberData` - The subscriberData parameter that was passed into PageBus.subscribe().
  See Also:
    `PageBus Developer's Guide "PageBus Subcribe onData Callback" for details.`

### getNativeCallback

    public static final com.google.gwt.core.client.JavaScriptObject getNativeCallback(OnDataCallback instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.